import { SvelteComponentTyped } from "svelte";

declare module 'svelte-grid-responsive/stores.js';

declare module 'svelte-grid-responsive' {
	interface GridProps {
		container: boolean;
		columns: number;
		gutter: GridSizeType;
		xs: GridSizeType;
		sm: GridSizeType;
		md: GridSizeType;
		lg: GridSizeType;
		xl: GridSizeType;
		order: number | false | null;
	}

	class Grid extends SvelteComponentTyped<
		GridProps,
		{  },
		{  }
	> {}

	export default Grid;
}

